#ifndef UU_UNPARSE_H
#define UU_UNPARSE_H

#include "ulib/UUID.h"

void uu_unparse_lower0v(const struct uu *in, char *out);
void uu_unparse_upper0v(const struct uu *in, char *out);
void uu_unparse0v(const struct uu *in, char *out);

void uu_unparse_lower1v(const struct uu *in, char *out);
void uu_unparse_upper1v(const struct uu *in, char *out);
void uu_unparse1v(const struct uu *in, char *out);

void uu_unparse_lower4v(const struct uu4 *in, char *out);
void uu_unparse_upper4v(const struct uu4 *in, char *out);
void uu_unparse4v(const struct uu4 *in, char *out);

void uu_unparse_lower6v(const struct uu6 *in, char *out);
void uu_unparse_upper6v(const struct uu6 *in, char *out);
void uu_unparse6v(const struct uu6 *in, char *out);

void uu_unparse_lower7v(const struct uu7 *in, char *out);
void uu_unparse_upper7v(const struct uu7 *in, char *out);
void uu_unparse7v(const struct uu7 *in, char *out);

#endif
/* ex:set ts=2 sw=2 itab=spaces: */
